Skip to content

List Scheduled Action

GET
/api/v1/nodes/{node_id}/scheduled_actions/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/scheduled_actions/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \
--header 'Authorization: Bearer <API_TOKEN>'
node_id
required
string

Path parameter node_id.

project_id
required
integer

Identifier of the project to scope the request to. Required integer project ID.

Example

<PROJECT_ID>
apikey
required
string

API key for authenticating the request

Example

<API_KEY>
location
required
string

Filters scheduled actions by the specified location.

Example

<LOCATION>

Successful response

Media typeapplication/json
object
code

HTTP status code of the response

integer
data
Array<object>
object
id

Unique identifier of the scheduled action

integer
action_tag

Identifier tag for the scheduled action

string
scheduled_type

Type of the scheduled action

string
action_type

Type of scheduled action

string
end_type

Type of ending condition for the scheduled action

string
end_value

The scheduled action’s end date and time.

string
start_time

The scheduled start time of the action in UTC.

string format: date-time
repeat_type

Type of recurrence for the scheduled action

string
repeat_period

Period between repeated executions, expressed as a numeric string

string
status

Current status of the scheduled action

string
errors
object
message

Status message indicating the result of the request

string

Example

{
"code": 200,
"data": [
{
"id": 384,
"action_tag": "periodic-daily-on",
"scheduled_type": "periodic",
"action_type": "reboot",
"end_type": "on",
"end_value": "August 19, 2025, 12:00 PM",
"start_time": "2025-08-18T18:59:00Z",
"repeat_type": "daily",
"repeat_period": "24",
"status": "pending"
}
],
"message": "Success"
}